MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025158Open CASCADE[OCCT] OCCT:Visualizationpublic2014-08-18 08:342014-11-11 12:58
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025158: Visualization, OpenGl_Context - support EGL as alternative to WGL and GLX
DescriptionAdd EGL support to OpenGl_Context class.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0025147closedbugmaster Visualization, TKOpenGl - support EGL as alternative to GLX 

-  Notes
(0030808)
git (administrator)
2014-08-18 08:43

Branch CR25158 has been created by kgv.

SHA-1: c800ad98d5dc191b14c1a46594c2f6ba4eef41a7


This branch includes the following new commits:

       new c800ad9 0025158: Visualization, OpenGl_Context - support EGL as alternative to WGL and GLX


Detailed log of new commits:

commit c800ad98d5dc191b14c1a46594c2f6ba4eef41a7
Author: kgv
Date: Mon Aug 18 08:43:39 2014 +0400

    0025158: Visualization, OpenGl_Context - support EGL as alternative to WGL and GLX
(0030809)
kgv (developer)
2014-08-18 08:44

Patch is ready for review in branch CR25158.
(0030853)
san (developer)
2014-08-18 18:07

Branch CR25158 reviewed without remarks, ready for testing.
(0030901)
mkv (tester)
2014-08-19 17:32

Dear BugMaster,

Branch CR25158 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: c800ad98d5dc191b14c1a46594c2f6ba4eef41a7

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 351946084 / 351903736
Total CPU difference: 49388.920000000224 / 45953.98000000014

There are no differences in images found by testdiff.
(0031473)
git (administrator)
2014-09-08 15:51

Branch CR25158 has been deleted by inv.

SHA-1: c800ad98d5dc191b14c1a46594c2f6ba4eef41a7

- Related Changesets
occt: master da8bb41d
Timestamp: 2014-08-18 04:43:39
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025158: Visualization, OpenGl_Context - support EGL as alternative to WGL and GLX
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlFunctions.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-08-18 08:34 kgv New Issue
2014-08-18 08:34 kgv Assigned To => kgv
2014-08-18 08:43 git Note Added: 0030808
2014-08-18 08:44 kgv Note Added: 0030809
2014-08-18 08:44 kgv Assigned To kgv => san
2014-08-18 08:44 kgv Status new => resolved
2014-08-18 08:44 kgv Target Version => 6.8.0
2014-08-18 08:45 kgv Relationship added child of 0025147
2014-08-18 18:07 san Note Added: 0030853
2014-08-18 18:07 san Assigned To san => bugmaster
2014-08-18 18:07 san Status resolved => reviewed
2014-08-18 18:10 mkv Assigned To bugmaster => mkv
2014-08-19 17:32 mkv Note Added: 0030901
2014-08-19 17:32 mkv Test case number => Not needed
2014-08-19 17:32 mkv Assigned To mkv => bugmaster
2014-08-19 17:32 mkv Status reviewed => tested
2014-08-22 15:42 bugmaster Changeset attached => occt master da8bb41d
2014-08-22 15:42 bugmaster Status tested => verified
2014-08-22 15:42 bugmaster Resolution open => fixed
2014-09-08 15:51 git Note Added: 0031473
2014-11-11 12:45 aiv Fixed in Version => 6.8.0
2014-11-11 12:58 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker